import { authAxios, normalAxios } from '@/utils/axios'
import {
  EmailSendDto,
  EmailSendResponse,
  EmailVerifyCodeScene,
} from './email.interface'

export async function sendEmailVerifyCode(params: EmailSendDto) {
  if (
    [
      EmailVerifyCodeScene.register,
      EmailVerifyCodeScene.forgetPassword,
    ].includes(params.scene)
  ) {
    return normalAxios.get<EmailSendResponse>('/api/email/verifyCode', {
      params,
    })
  }
  return authAxios.get<EmailSendResponse>('/api/email/verifyCode', {
    params,
  })
}
