import { authAxios, normalAxios } from '@/utils/axios'
import {
  LoginInputDto,
  RegisterInputDto,
  ForgetPasswordInputDto,
  DeleteUser,
  AccessToken,
  User,
} from './user.interface'

export async function register(data: RegisterInputDto) {
  return normalAxios.post<AccessToken>('/api/users', data)
}

export async function login(data: LoginInputDto) {
  return normalAxios.post<AccessToken>('/api/users/token', data)
}

export async function forgetPassword(data: ForgetPasswordInputDto) {
  return normalAxios.patch<AccessToken>('/api/users/password', data)
}

export async function logout() {
  return authAxios.delete('/api/users/me/token')
}

export async function deleteUser(data: DeleteUser) {
  return authAxios.delete('/api/users/me', { data })
}

export async function getUserInfo() {
  return authAxios.get<User>('/api/users/me')
}
