import useSWR from 'swr'
import * as api from '@/api'
import type { AxiosError, AxiosResponse } from 'axios'
import { User } from '@/api/user.interface'

export function useUser() {
  const { data, error, isLoading } = useSWR<AxiosResponse<User>, AxiosError>(
    `user`,
    api.user.getUserInfo,
  )

  const user = data?.data ?? null
  const errMsg = error?.message ?? ''

  return {
    user,
    isLoading,
    errMsg,
  }
}
