import * as yup from 'yup'

export * from 'yup'

export const emailSchema = yup
  .string()
  .email('请输入正确的邮箱')
  .required('请输入邮箱')

export const passwordSchema = yup
  .string()
  .required('请输入密码')
  .matches(/^.{8,18}$/, '8~18个字符')
  .matches(/^(.*)?\d+(.*)?$/, '至少一个数字')
  .matches(/^(?=.*[a-z])(?=.*[A-Z])[^]*$/, '大写字母和小写字母')
  .matches(/^[^\s].*[^\s]$/, '首尾字符不能是空格')

export const verifyCodeSchema = yup
  .string()
  .required('请输入验证码')
  .length(6, '验证码为6位数')
